> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Connect Webview

> Creates a new [Connect Webview](https://docs.seam.co/core-concepts/connect-webviews).

To enable a user to connect their devices or systems to Seam, they must sign in to their device or system account. To enable a user to sign in, you create a `connect_webview`. After creating the Connect Webview, you receive a URL that you can use to display the visual component of this Connect Webview for your user. You can open an iframe or new window to display the Connect Webview.

You should make a new `connect_webview` for each unique login request. Each `connect_webview` tracks the user that signed in with it. You receive an error if you reuse a Connect Webview for the same user twice or if you use the same Connect Webview for multiple users.

See also: [Connect Webview Process](https://docs.seam.co/core-concepts/connect-webviews/connect-webview-process).



## OpenAPI

````yaml /openapi.json post /connect_webviews/create
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /connect_webviews/create:
    post:
      tags:
        - /connect_webviews
      summary: Create a Connect Webview
      description: >-
        Creates a new [Connect
        Webview](https://docs.seam.co/core-concepts/connect-webviews).


        To enable a user to connect their devices or systems to Seam, they must
        sign in to their device or system account. To enable a user to sign in,
        you create a `connect_webview`. After creating the Connect Webview, you
        receive a URL that you can use to display the visual component of this
        Connect Webview for your user. You can open an iframe or new window to
        display the Connect Webview.


        You should make a new `connect_webview` for each unique login request.
        Each `connect_webview` tracks the user that signed in with it. You
        receive an error if you reuse a Connect Webview for the same user twice
        or if you use the same Connect Webview for multiple users.


        See also: [Connect Webview
        Process](https://docs.seam.co/core-concepts/connect-webviews/connect-webview-process).
      operationId: connectWebviewsCreatePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                accepted_capabilities:
                  description: >-
                    List of accepted device capabilities that restrict the types
                    of devices that can be connected through the Connect
                    Webview. If not provided, defaults will be determined based
                    on the accepted providers.
                  items:
                    description: |2

                        High-level device capabilities that can be restricted in connect webviews.
                        These represent the main device categories that customers can opt into.
                    enum:
                      - lock
                      - thermostat
                      - noise_sensor
                      - access_control
                      - camera
                    type: string
                  type: array
                accepted_providers:
                  description: >-
                    Accepted device provider keys as an alternative to
                    `provider_category`. Use this parameter to specify accepted
                    providers explicitly. See [Customize the Brands to Display
                    in Your Connect
                    Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
                    To list all provider keys, use
                    [`/devices/list_device_providers`](https://docs.seam.co/api/devices/list_device_providers)
                    with no filters.
                  items:
                    enum:
                      - hotek
                      - dormakaba_community
                      - legic_connect
                      - akuvox
                      - august
                      - avigilon_alta
                      - brivo
                      - butterflymx
                      - schlage
                      - smartthings
                      - yale
                      - genie
                      - doorking
                      - salto
                      - salto_ks
                      - lockly
                      - ttlock
                      - linear
                      - noiseaware
                      - nuki
                      - igloo
                      - kwikset
                      - minut
                      - my_2n
                      - controlbyweb
                      - nest
                      - igloohome
                      - ecobee
                      - four_suites
                      - dormakaba_oracode
                      - pti
                      - wyze
                      - seam_passport
                      - visionline
                      - assa_abloy_credential_service
                      - tedee
                      - honeywell_resideo
                      - first_alert
                      - latch
                      - akiles
                      - assa_abloy_vostio
                      - assa_abloy_vostio_credential_service
                      - tado
                      - salto_space
                      - sensi
                      - keynest
                      - korelock
                      - keyincode
                      - dormakaba_ambiance
                      - ultraloq
                      - dusaw
                      - sifely
                      - thirty_three_lock
                      - ring
                      - ical
                      - lodgify
                      - hostaway
                      - guesty
                      - acuity_scheduling
                      - omnitec
                      - yale_access
                      - hid_cm
                      - google_nest
                      - slack
                    type: string
                  type: array
                automatically_manage_new_devices:
                  description: >-
                    Indicates whether newly-added devices should appear as
                    [managed
                    devices](https://docs.seam.co/core-concepts/devices/managed-and-unmanaged-devices).
                    See also: [Customize the Behavior Settings of Your Connect
                    Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-behavior-settings-of-your-connect-webviews).
                  type: boolean
                custom_metadata:
                  additionalProperties:
                    nullable: true
                    oneOf:
                      - maxLength: 500
                        type: string
                      - type: boolean
                  description: >-
                    Custom metadata that you want to associate with the Connect
                    Webview. Supports up to 50 JSON key:value pairs. [Adding
                    custom metadata to a Connect
                    Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview)
                    enables you to store custom information, like customer
                    details or internal IDs from your application. The custom
                    metadata is then transferred to any [connected
                    accounts](https://docs.seam.co/core-concepts/connected-accounts)
                    that were connected using the Connect Webview, making it
                    easy to find and filter these resources in your
                    [workspace](https://docs.seam.co/core-concepts/workspaces).
                    You can also [filter Connect Webviews by custom
                    metadata](https://docs.seam.co/core-concepts/connect-webviews/filtering-connect-webviews-by-custom-metadata).
                  type: object
                custom_redirect_failure_url:
                  description: >-
                    Alternative URL that you want to redirect the user to on an
                    error. If you do not set this parameter, the Connect Webview
                    falls back to the `custom_redirect_url`.
                  type: string
                custom_redirect_url:
                  description: >-
                    URL that you want to redirect the user to after the provider
                    login is complete.
                  type: string
                customer_key:
                  description: >-
                    Associate the Connect Webview, the connected account, and
                    all resources under the connected account with a customer.
                    If the connected account already exists, it will be
                    associated with the customer. If the connected account
                    already exists, but is already associated with a customer,
                    the Connect Webview will show an error.
                  minLength: 1
                  type: string
                device_selection_mode:
                  enum:
                    - none
                    - single
                    - multiple
                  type: string
                  x-undocumented: Not supported.
                excluded_providers:
                  description: >-
                    List of provider keys to exclude from the Connect Webview.
                    These providers will not be shown when the user tries to
                    connect an account.
                  items:
                    type: string
                  type: array
                provider_category:
                  description: >-
                    Specifies the category of providers that you want to
                    include. To list all providers within a category, use
                    [`/devices/list_device_providers`](https://docs.seam.co/api/devices/list_device_providers)
                    with the desired `provider_category` filter.
                  enum:
                    - stable
                    - consumer_smartlocks
                    - beta
                    - thermostats
                    - noise_sensors
                    - access_control_systems
                    - cameras
                    - connectors
                    - internal_beta
                  type: string
                wait_for_device_creation:
                  default: false
                  description: >-
                    Indicates whether Seam should finish syncing all devices in
                    a newly-connected account before completing the associated
                    Connect Webview. See also: [Customize the Behavior Settings
                    of Your Connect
                    Webviews](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-behavior-settings-of-your-connect-webviews).
                  type: boolean
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  connect_webview:
                    $ref: '#/components/schemas/connect_webview'
                  ok:
                    type: boolean
                required:
                  - connect_webview
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - client_session: []
        - client_session_with_customer: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.connectWebviews.create({
              custom_redirect_url: "https://example.com/redirect",
              custom_redirect_failure_url: "https://example.com/failure-redirect",
              customer_id: "8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0",
              provider_category: "stable",
              custom_metadata: { id: "internalId1" },
              automatically_manage_new_devices: true,
              wait_for_device_creation: true,
              accepted_capabilities: ["lock", "thermostat"],
            });

            /*
            {
              "accepted_capabilities": [
                "lock",
                "thermostat"
              ],
              "accepted_devices": [],
              "accepted_providers": [
                "schlage",
                "kwikset",
                "yale",
                "smartthings",
                "august",
                "avigilon_alta",
                "brivo",
                "nuki",
                "salto_ks",
                "salto_space",
                "controlbyweb",
                "minut",
                "my_2n",
                "ttlock",
                "noiseaware",
                "igloohome",
                "ecobee",
                "four_suites",
                "lockly",
                "wyze",
                "google_nest",
                "tede",
                "seam_bridge",
                "honeywell_resideo",
                "visionline",
                "assa_abloy_credential_service",
                "latch",
                "akiles",
                "sensi",
                "assa_abloy_vostio"
              ],
              "any_device_allowed": true,
              "any_provider_allowed": false,
              "authorized_at": null,
              "automatically_manage_new_devices": true,
              "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
              "connected_account_id": null,
              "created_at": "2025-06-14T16:54:17.946323Z",
              "custom_metadata": {
                "id": "internalId1"
              },
              "custom_redirect_failure_url": "https://example.com/failure-redirect",
              "custom_redirect_url": "https://example.com/redirect",
              "device_selection_mode": "none",
              "login_successful": false,
              "selected_provider": null,
              "status": "pending",
              "url": "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
              "wait_for_device_creation": true,
              "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/connect_webviews/create" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "custom_redirect_url": "https://example.com/redirect",
              "custom_redirect_failure_url": "https://example.com/failure-redirect",
              "customer_id": "8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0",
              "provider_category": "stable",
              "custom_metadata": {
                "id": "internalId1"
              },
              "automatically_manage_new_devices": true,
              "wait_for_device_creation": true,
              "accepted_capabilities": [
                "lock",
                "thermostat"
              ]
            }

            EOF


            # Response:

            # {

            #   "connect_webview": {

            #     "accepted_capabilities": [

            #       "lock",

            #       "thermostat"

            #     ],

            #     "accepted_devices": [],

            #     "accepted_providers": [

            #       "schlage",

            #       "kwikset",

            #       "yale",

            #       "smartthings",

            #       "august",

            #       "avigilon_alta",

            #       "brivo",

            #       "nuki",

            #       "salto_ks",

            #       "salto_space",

            #       "controlbyweb",

            #       "minut",

            #       "my_2n",

            #       "ttlock",

            #       "noiseaware",

            #       "igloohome",

            #       "ecobee",

            #       "four_suites",

            #       "lockly",

            #       "wyze",

            #       "google_nest",

            #       "tede",

            #       "seam_bridge",

            #       "honeywell_resideo",

            #       "visionline",

            #       "assa_abloy_credential_service",

            #       "latch",

            #       "akiles",

            #       "sensi",

            #       "assa_abloy_vostio"

            #     ],

            #     "any_device_allowed": true,

            #     "any_provider_allowed": false,

            #     "authorized_at": null,

            #     "automatically_manage_new_devices": true,

            #     "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",

            #     "connected_account_id": null,

            #     "created_at": "2025-06-14T16:54:17.946323Z",

            #     "custom_metadata": {

            #       "id": "internalId1"

            #     },

            #     "custom_redirect_failure_url":
            "https://example.com/failure-redirect",

            #     "custom_redirect_url": "https://example.com/redirect",

            #     "device_selection_mode": "none",

            #     "login_successful": false,

            #     "selected_provider": null,

            #     "status": "pending",

            #     "url":
            "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",

            #     "wait_for_device_creation": true,

            #     "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.connect_webviews.create(
                custom_redirect_url="https://example.com/redirect",
                custom_redirect_failure_url="https://example.com/failure-redirect",
                customer_id="8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0",
                provider_category="stable",
                custom_metadata={"id": "internalId1"},
                automatically_manage_new_devices=true,
                wait_for_device_creation=true,
                accepted_capabilities=["lock", "thermostat"],
            )

            # ConnectWebview(
                accepted_capabilities=["lock", "thermostat"],
                accepted_devices=[],
                accepted_providers=[
                    "schlage",
                    "kwikset",
                    "yale",
                    "smartthings",
                    "august",
                    "avigilon_alta",
                    "brivo",
                    "nuki",
                    "salto_ks",
                    "salto_space",
                    "controlbyweb",
                    "minut",
                    "my_2n",
                    "ttlock",
                    "noiseaware",
                    "igloohome",
                    "ecobee",
                    "four_suites",
                    "lockly",
                    "wyze",
                    "google_nest",
                    "tede",
                    "seam_bridge",
                    "honeywell_resideo",
                    "visionline",
                    "assa_abloy_credential_service",
                    "latch",
                    "akiles",
                    "sensi",
                    "assa_abloy_vostio",
                ],
                any_device_allowed=true,
                any_provider_allowed=false,
                authorized_at=None,
                automatically_manage_new_devices=true,
                connect_webview_id="c4c30885-ec87-4b31-8d7b-9bc0678fa028",
                connected_account_id=None,
                created_at="2025-06-14T16:54:17.946323Z",
                custom_metadata={"id": "internalId1"},
                custom_redirect_failure_url="https://example.com/failure-redirect",
                custom_redirect_url="https://example.com/redirect",
                device_selection_mode="none",
                login_successful=false,
                selected_provider=None,
                status="pending",
                url="https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
                wait_for_device_creation=true,
                workspace_id="9db95105-e77d-4577-b1b7-0a20b360d5e0",
            )
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.connect_webviews.create(
              custom_redirect_url: "https://example.com/redirect",
              custom_redirect_failure_url: "https://example.com/failure-redirect",
              customer_id: "8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0",
              provider_category: "stable",
              custom_metadata: {
                id: "internalId1",
              },
              automatically_manage_new_devices: true,
              wait_for_device_creation: true,
              accepted_capabilities: %w[lock thermostat],
            )

            # => {
              "accepted_capabilities" => %w[lock thermostat],
              "accepted_devices" => [],
              "accepted_providers" => %w[
                schlage
                kwikset
                yale
                smartthings
                august
                avigilon_alta
                brivo
                nuki
                salto_ks
                salto_space
                controlbyweb
                minut
                my_2n
                ttlock
                noiseaware
                igloohome
                ecobee
                four_suites
                lockly
                wyze
                google_nest
                tede
                seam_bridge
                honeywell_resideo
                visionline
                assa_abloy_credential_service
                latch
                akiles
                sensi
                assa_abloy_vostio
              ],
              "any_device_allowed" => true,
              "any_provider_allowed" => false,
              "authorized_at" => nil,
              "automatically_manage_new_devices" => true,
              "connect_webview_id" => "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
              "connected_account_id" => nil,
              "created_at" => "2025-06-14T16:54:17.946323Z",
              "custom_metadata" => {
                id: "internalId1",
              },
              "custom_redirect_failure_url" => "https://example.com/failure-redirect",
              "custom_redirect_url" => "https://example.com/redirect",
              "device_selection_mode" => "none",
              "login_successful" => false,
              "selected_provider" => nil,
              "status" => "pending",
              "url" =>
                "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
              "wait_for_device_creation" => true,
              "workspace_id" => "9db95105-e77d-4577-b1b7-0a20b360d5e0",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->connect_webviews->create(
                custom_redirect_url: "https://example.com/redirect",
                custom_redirect_failure_url: "https://example.com/failure-redirect",
                customer_id: "8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0",
                provider_category: "stable",
                custom_metadata: ["id" => "internalId1"],
                automatically_manage_new_devices: true,
                wait_for_device_creation: true,
                accepted_capabilities: ["lock", "thermostat"],
            );

            // [
                "accepted_capabilities" => ["lock", "thermostat"],
                "accepted_devices" => [],
                "accepted_providers" => [
                    "schlage",
                    "kwikset",
                    "yale",
                    "smartthings",
                    "august",
                    "avigilon_alta",
                    "brivo",
                    "nuki",
                    "salto_ks",
                    "salto_space",
                    "controlbyweb",
                    "minut",
                    "my_2n",
                    "ttlock",
                    "noiseaware",
                    "igloohome",
                    "ecobee",
                    "four_suites",
                    "lockly",
                    "wyze",
                    "google_nest",
                    "tede",
                    "seam_bridge",
                    "honeywell_resideo",
                    "visionline",
                    "assa_abloy_credential_service",
                    "latch",
                    "akiles",
                    "sensi",
                    "assa_abloy_vostio",
                ],
                "any_device_allowed" => true,
                "any_provider_allowed" => false,
                "authorized_at" => null,
                "automatically_manage_new_devices" => true,
                "connect_webview_id" => "c4c30885-ec87-4b31-8d7b-9bc0678fa028",
                "connected_account_id" => null,
                "created_at" => "2025-06-14T16:54:17.946323Z",
                "custom_metadata" => ["id" => "internalId1"],
                "custom_redirect_failure_url" => "https://example.com/failure-redirect",
                "custom_redirect_url" => "https://example.com/redirect",
                "device_selection_mode" => "none",
                "login_successful" => false,
                "selected_provider" => null,
                "status" => "pending",
                "url" =>
                    "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",
                "wait_for_device_creation" => true,
                "workspace_id" => "9db95105-e77d-4577-b1b7-0a20b360d5e0",
            ];
        - lang: bash
          label: Seam CLI
          source: >-
            seam connect-webviews create --custom_redirect_url
            "https://example.com/redirect" --custom_redirect_failure_url
            "https://example.com/failure-redirect" --customer_id
            "8d7a8cc0-2e69-4bc6-85c8-545036fdd5c0" --provider_category "stable"
            --custom_metadata {"id":"internalId1"}
            --automatically_manage_new_devices true --wait_for_device_creation
            true --accepted_capabilities ["lock","thermostat"]


            # {

            #   "accepted_capabilities": [

            #     "lock",

            #     "thermostat"

            #   ],

            #   "accepted_devices": [],

            #   "accepted_providers": [

            #     "schlage",

            #     "kwikset",

            #     "yale",

            #     "smartthings",

            #     "august",

            #     "avigilon_alta",

            #     "brivo",

            #     "nuki",

            #     "salto_ks",

            #     "salto_space",

            #     "controlbyweb",

            #     "minut",

            #     "my_2n",

            #     "ttlock",

            #     "noiseaware",

            #     "igloohome",

            #     "ecobee",

            #     "four_suites",

            #     "lockly",

            #     "wyze",

            #     "google_nest",

            #     "tede",

            #     "seam_bridge",

            #     "honeywell_resideo",

            #     "visionline",

            #     "assa_abloy_credential_service",

            #     "latch",

            #     "akiles",

            #     "sensi",

            #     "assa_abloy_vostio"

            #   ],

            #   "any_device_allowed": true,

            #   "any_provider_allowed": false,

            #   "authorized_at": null,

            #   "automatically_manage_new_devices": true,

            #   "connect_webview_id": "c4c30885-ec87-4b31-8d7b-9bc0678fa028",

            #   "connected_account_id": null,

            #   "created_at": "2025-06-14T16:54:17.946323Z",

            #   "custom_metadata": {

            #     "id": "internalId1"

            #   },

            #   "custom_redirect_failure_url":
            "https://example.com/failure-redirect",

            #   "custom_redirect_url": "https://example.com/redirect",

            #   "device_selection_mode": "none",

            #   "login_successful": false,

            #   "selected_provider": null,

            #   "status": "pending",

            #   "url":
            "https://connect.getseam.com/connect_webviews/view?connect_webview_id=c4c30885-ec87-4b31-8d7b-9bc0678fa028&auth_token=2r2Rn8V5QUtxE79gMsTmLK58KkuqrwU8d",

            #   "wait_for_device_creation": true,

            #   "workspace_id": "9db95105-e77d-4577-b1b7-0a20b360d5e0"

            # }
components:
  schemas:
    connect_webview:
      description: >-
        Represents a [Connect
        Webview](https://docs.seam.co/core-concepts/connect-webviews).
      properties:
        accepted_capabilities:
          description: >-
            High-level device capabilities that the Connect Webview can accept.
            When creating a Connect Webview, you can specify the types of
            devices that it can connect to Seam. If you do not set custom
            `accepted_capabilities`, Seam uses a default set of
            `accepted_capabilities` for each provider. For example, if you
            create a Connect Webview that accepts SmartThing devices, without
            specifying `accepted_capabilities`, Seam accepts only SmartThings
            locks. To connect SmartThings thermostats and locks to Seam, create
            a Connect Webview and include both `thermostat` and `lock` in the
            `accepted_capabilities`.
          items:
            description: |2

                High-level device capabilities that can be restricted in connect webviews.
                These represent the main device categories that customers can opt into.
            enum:
              - lock
              - thermostat
              - noise_sensor
              - access_control
              - camera
            type: string
          type: array
        accepted_devices:
          deprecated: true
          items:
            type: string
          type: array
          x-deprecated: Unused. Will be removed.
          x-undocumented: Unused. Will be removed.
        accepted_providers:
          description: >-
            List of accepted [provider
            keys](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
          items:
            type: string
          type: array
        any_device_allowed:
          deprecated: true
          type: boolean
          x-deprecated: Unused. Will be removed.
          x-undocumented: Unused. Will be removed.
        any_provider_allowed:
          description: Indicates whether any provider is allowed.
          type: boolean
        authorized_at:
          description: >-
            Date and time at which the user authorized (through the Connect
            Webview) the management of their devices.
          format: date-time
          nullable: true
          type: string
        automatically_manage_new_devices:
          description: >-
            Indicates whether Seam should [import all new
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#automatically_manage_new_devices)
            for the connected account to make these devices available for use
            and management by the Seam API.
          type: boolean
        connect_webview_id:
          description: ID of the Connect Webview.
          format: uuid
          type: string
        connected_account_id:
          description: >-
            ID of the [connected
            account](https://docs.seam.co/core-concepts/connected-accounts)
            associated with the Connect Webview.
          format: uuid
          nullable: true
          type: string
        created_at:
          description: Date and time at which the Connect Webview was created.
          format: date-time
          type: string
        custom_metadata:
          additionalProperties:
            oneOf:
              - type: string
              - type: boolean
          description: >-
            Set of key:value pairs. Adding custom metadata to a resource, such
            as a [Connect
            Webview](https://docs.seam.co/core-concepts/connect-webviews/attaching-custom-data-to-the-connect-webview),
            [connected
            account](https://docs.seam.co/core-concepts/connected-accounts/adding-custom-metadata-to-a-connected-account),
            or
            [device](https://docs.seam.co/core-concepts/devices/adding-custom-metadata-to-a-device),
            enables you to store custom information, like customer details or
            internal IDs from your application.
          type: object
        custom_redirect_failure_url:
          description: >-
            URL to which the Connect Webview should redirect when an unexpected
            error occurs.
          format: uri
          nullable: true
          type: string
        custom_redirect_url:
          description: >-
            URL to which the Connect Webview should redirect when the user
            successfully pairs a device or system. If you do not set the
            `custom_redirect_failure_url`, the Connect Webview redirects to the
            `custom_redirect_url` when an unexpected error occurs.
          format: uri
          nullable: true
          type: string
        customer_key:
          description: The customer key associated with this webview, if any.
          type: string
        device_selection_mode:
          enum:
            - none
            - single
            - multiple
          type: string
        login_successful:
          description: >-
            Indicates whether the user logged in successfully using the Connect
            Webview.
          type: boolean
        selected_provider:
          description: >-
            Selected provider of the Connect Webview, one of the [provider
            keys](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#customize-the-brands-to-display-in-your-connect-webviews).
          nullable: true
          type: string
        status:
          description: >-
            Status of the Connect Webview. `authorized` indicates that the user
            has successfully logged into their device or system account, thereby
            completing the Connect Webview.
          enum:
            - pending
            - failed
            - authorized
          type: string
        url:
          description: >-
            URL for the Connect Webview. You use the URL to display the Connect
            Webview flow to your user.
          format: uri
          type: string
        wait_for_device_creation:
          description: >-
            Indicates whether Seam should [finish syncing all
            devices](https://docs.seam.co/core-concepts/connect-webviews/customizing-connect-webviews#wait_for_device_creation)
            in a newly-connected account before completing the associated
            Connect Webview.
          type: boolean
        workspace_id:
          description: >-
            ID of the [workspace](https://docs.seam.co/core-concepts/workspaces)
            that contains the Connect Webview.
          format: uuid
          type: string
      required:
        - connect_webview_id
        - workspace_id
        - created_at
        - connected_account_id
        - url
        - device_selection_mode
        - accepted_providers
        - accepted_capabilities
        - accepted_devices
        - any_device_allowed
        - any_provider_allowed
        - login_successful
        - status
        - custom_redirect_url
        - custom_redirect_failure_url
        - custom_metadata
        - automatically_manage_new_devices
        - wait_for_device_creation
        - authorized_at
        - selected_provider
      type: object
      x-route-path: /connect_webviews
  securitySchemes:
    client_session:
      bearerFormat: Client Session Token
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````